List Futures Positions
curl --request GET \
--url https://api.coinbase.com/api/v3/brokerage/cfm/positions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.coinbase.com/api/v3/brokerage/cfm/positions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.coinbase.com/api/v3/brokerage/cfm/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"positions": [
{
"product_id": "<string>",
"expiration_time": "<string>",
"side": "UNKNOWN",
"number_of_contracts": "<string>",
"current_price": "<string>",
"avg_entry_price": "<string>",
"unrealized_pnl": "<string>",
"daily_realized_pnl": "<string>"
}
]
}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}US Derivatives
List US Derivatives Positions
Get a list of positions in CFM products
GET
/
api
/
v3
/
brokerage
/
cfm
/
positions
List Futures Positions
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I